!!----------------------------------------------------------------------------
!! Input parameters
!! Written by: Scott A. Klasky
!! Modified by Scott V. McGuire 10/21/1997
!! $Id: input_params.f90,v 1.14 1997/12/02 17:26:05 scott Exp $
!!----------------------------------------------------------------------------
module input_params
   integer, parameter  :: P_MCITERS   = 1   !! monte carlo iterations
   integer, parameter  :: P_CONVCRIT  = 2   !! MC convergence criteria
   integer, parameter  :: P_METRIC    = 3   !! Which metric to use
   integer, parameter  :: P_NTIME     = 4   !! How many time slices on a path
   integer, parameter  :: P_NPATH     = 5   !! How many paths
   integer, parameter  :: P_NUMUNDER  = 6   !! How many underlyings
   integer, parameter  :: P_C1        = 7   !! C1 term in the energy
   integer, parameter  :: P_C2        = 8   !! C2 term in the energy
   integer, parameter  :: P_NNN       = 9   !! How many nearest neighbors (r)
   integer, parameter  :: P_TWEIGHT   =10   !! Weight function for MC time iter
   integer, parameter  :: P_STRIKE    =11   !! The strike price
   integer, parameter  :: P_RATE      =12   !! The interest rate
   integer, parameter  :: P_DAYS      =13   !! The number of days/period
   integer, parameter  :: P_METCO     =14   !! The coefficient in the metric
   integer, parameter  :: P_INIT      =15   !! Type of initialization used
   integer, parameter  :: P_ANNEALS   =16   !! Annealing runs
   integer, parameter  :: P_TEMPS     =17   !! Temperatures per annealing run
   integer, parameter  :: P_INIT_TEMP =18   !! Initial temperature
   integer, parameter  :: P_SORT      =19   !! Sort = 1, No Sort = 0
   integer, parameter  :: P_DUMP      =20   !! Number of iterations to dump on 
   integer, parameter  :: P_WINDOW    =21   !! Time Window buffer
   integer, parameter  :: P_PE_PATH   =22   !! Compute PE on a "real" path 
   integer, parameter  :: P_SIGMA     =23   !! volatility 
   integer, parameter  :: P_EXP       =24     !! EXPONENT 
   integer, parameter  :: P_EXP2      =25     !! EXPONENT 
end module
